# Note that this is NOT a relocatable package
%global momorel 2

Summary: The Enlightenment window manager.
Name: enlightenment
Version: 0.16.6
Release: %{momorel}m
License: Modified BSD
Group: User Interface/Desktops
URL: http://www.enlightenment.org/

Source0: ftp://ftp.dti.ad.jp/pub/X/enlightenment/%{name}-%{version}.tar.gz
NoSource: 0
Source1: e-gen.tar.bz2
Source2: session.enlightenment
Source3: MAIN.ja_JP.UTF-8
#Source4: MAIN.ja
#Source5: enlightenment-ja.po
Source10: CustomE-DR16.tar.gz
# Patch1: enlightenment-kondara.patch
# Patch6: menu-Kondara.patch
# Patch8: enlightenment-menudefault.patch
# Patch11: menu-Kondara.ja.patch
# Patch12: enlightenment-menubuild.patch
Patch13: enlightenment-0.16.6-Makefile.patch

BuildPreReq: gettext >= 0.10.40, audiofile-devel >= 0.2.1
BuildPreReq: autoconf >= 2.58, automake >= 1.5
BuildRequires: fnlib-devel
BuildRequires: imlib-devel >= 1.9.8
BuildRequires: freetype2-devel
BuildRequires: esound-devel >= 0.2.17
BuildRequires: audiofile-devel
BuildRequires: libpng-devel >= 1.2.2
Requires: fnlib >= 0.4
Requires: freetype2
Requires: xinitrc
Requires: audiofile >= 0.2.1
# Requires: truetype-fonts-ja
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
Enlightenment is a window manager for the X Window System that
is designed to be powerful, extensible, configurable and
pretty darned good looking! It is one of the more graphically
intense window managers.

Enlightenment goes beyond managing windows by providing a useful
and appealing graphical shell from which to work. It is open
in design and instead of dictating a policy, allows the user to
define their own policy, down to every last detail.

This package will install the Enlightenment window manager.

%prep
%setup -q
#%%patch1 -p1 -b .kondara
#%%patch8 -p1 -b .menudefault
#%%patch12 -p1
%patch13 -p1

%build
%global _prefix /usr/X11R6
%global _exec_prefix %{_prefix}
%global _bindir %{_exec_prefix}/bin
%global _datadir /usr/share
%global _mandir %{_exec_prefix}/man

autoheader-2.58
automake-1.6
autoconf-2.58
%append _configure_args -- --enable-fsstd --enable-upgrade=no --enable-hints-gnome --enable-hints-kde
%configure
%make

%install
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}

%makeinstall

cd %{buildroot}%{_bindir}
for file in e_gen_menu e_cache_query e_cache_clean; do
  %__mv $file $file.c
done
%__tar zxvf %{S:1}

### make /etc/X11/xinit/session.d/enlightenment scripts
%__mkdir_p %{buildroot}%{_sysconfdir}/X11/xinit/session.d
%__install -m 644 %{S:2} %{buildroot}%{_sysconfdir}/X11/xinit/session.d/enlightenment

### install ja.po
#%%__mkdir_p %{buildroot}%{_datadir}/locale/ja/LC_MESSAGES/
#msgfmt %{S:5} -o %{buildroot}%{_datadir}/locale/ja/LC_MESSAGES/enlightenment.mo

### install Kondara.etheme
cd %{buildroot}%{_datadir}/enlightenment/themes
%__rm -rf DEFAULT
%__mkdir CustomE-DR16
%__ln_s  CustomE-DR16 DEFAULT
cd  CustomE-DR16
%__tar zxvf %{S:10}

### we don't need enlightenment.install
%__rm -rf %{buildroot}%{_bindir}/enlightenment.install

### some more stuff
#cd %{buildroot}%{_datadir}/enlightenment/themes
#find ./ -name "*ja_JP*" | xargs rm -rf
#find ./ -name "*japanese*" | xargs rm -rf

# find ./ -name "*ja" | xargs perl -p -i -e "s|-\*-lucida-medium-r-normal-\*-\*-(\d+)-\*-\*-p-\*-iso8859-1,-\*-fixed-medium-r-normal--(\d+)-\*,-\*--(\d+)-\*|kondara/10|g"
# find ./ -name "*ja" | xargs perl -p -i -e "s|-\*-helvetica-medium-r-normal-\*-\*-(\d+)-\*-\*-\*-\*-\*,-\*-fixed-medium-r-normal--(\d+)-\*,-\*--(\d+)-\*|kondara/10|g"
# find ./ -name "*ja" | xargs perl -p -i -e "s|-\*-helvetica-medium-r-\*-\*-(\d+)-\*-\*-\*-\*-\*-\*-\*,-\*-fixed-medium-r-normal--(\d+)-\*,-\*--(\d+)-\*|kondara/10|g"
# find ./ -name "*ja" | xargs perl -p -i -e "s|-\*-helvetica-medium-r-\*-\*-(\d+)-\*-\*-\*-\*-\*-\*-\*,-\*-fixed-medium-r-normal-\*-(\d+)-\*-\*-\*-c-\*-\*-\*|Kondara10|g"
# find ./ -name "*ja" | xargs perl -p -i -e "s|kondara\/10|-b&h-lucidatypewriter-medium-r-*-*-12-*-*-*-*-*-iso8859-1,-misc-fixed-medium-r-*-*-12-*-*-*-*-*-jisx0208.1983-0,-misc-fixed-medium-r-*-*-12-*-*-*-*-*-jisx0201.1976-0,-alias-variable-medium-r-*-*-12-*-*-*-*-*-iso10646-1|gi"

# cd %{buildroot}%{_datadir}/enlightenment/config
# cat %{PATCH11} | patch -p0
# find ./ -name "*ja_JP*" | xargs rm -rf
# find ./ -name "*japanese*" | xargs rm -rf

# now we use ttf
# cd %{buildroot}%{_datadir}/enlightenment/themes
# for i in Ganymede ShinyMetal Kondara1 Kondara2 BlueSteel BrushedMetal-Tigert
#   do
#   pushd $i/ttfonts
# 	ln -sf /usr/X11R6/lib/X11/fonts/truetype-ja/kochi-gothic.ttf kondara.ttf
#   popd
# done

# cd %{buildroot}%{_datadir}/enlightenment/E-docs
# ln -sf /usr/X11R6/lib/X11/fonts/truetype-ja/kochi-gothic.ttf kondara.ttf

# install MAIN.ja_JP.UTF-8
%__install -m 644 %{S:3} %{buildroot}%{_datadir}/enlightenment/E-docs/
#find %{buildroot}%{_datadir}/enlightenment/themes/Ganymede -type d | xargs chmod 755

%clean
%__rm -rf %{buildroot}

%post

%postun

%files
%defattr(-, root, root)
%doc AUTHORS COPYING FAQ INSTALL README
%dir %{_datadir}/enlightenment
%{_datadir}/enlightenment/*
%{_mandir}/*
%{_bindir}/*
%{_datadir}/locale/*/LC_MESSAGES/enlightenment.mo
%config %{_sysconfdir}/X11/xinit/session.d/enlightenment

%ChangeLog
* Sun Dec 14 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (0.16.6-2m)
- use autoconf-2.58 instead of autoconf-2.57

* Fri Nov 14 2003 Ryu SASAOKA <ryu@momonga-linux.org>
- (0.16.6-1m)
- update 0.16.6
- change license GPL -> Modified BSD
- remove menudefault.patch menubuild.patch
- add Makefie patch
- pretty spec file
- change e_gen.tar.gz for 0.16.6

* Wed Mar  5 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.16.5-45m)
- use %%{_prefix} instead of %%{prefix}
- use %%{_bindir} instead of %%{prefix}/bin
- use %%{_datadir} instead of %{_prefix}/share
- use %%{_sysconfdir} instead of /etc
- delete define %%{prefix}
- fix URL

* Tue Jun  4 2002 Shigeyuki Yamashita <shige@cty-net.ne.jp>
- (0.16.5-44k)
- remove kondara theme and menu

* Wed May 22 2002 Shigeyuki Yamashita <shige@kondara.org>
- (0.16.5-42k)
- add new etheme (from debian-E and aqua)

* Sat Apr 20 2002 YAMAZAKI Makoto <zaki@kondara.org>
- (0.16.5-40k)
- rebuild against imlib 1.9.14-4k (implies libpng >= 1.2.2).

* Sat Apr 20 2002 Kazuhiko <kazuhiko@kondara.org>
- (0.16.5-38k)
- rebuild against libpng-1.2.2

* Wed Feb 20 2002 Mitsuru Shimamura <mitsuru@diana.dti.ne.jp>
- (0.16.5-36k)
- add BuildPreReq: autoconf >= 2.52-8k, automake >= 1.5-8k

* Wed Feb 13 2002 Tsutomu Yasuda <tom@kondara.org>
- (0.16.5-34k)
- fix URL

* Wed Oct 17 2001 Toru Hoshina <t@kondara.org>
- (0.16.5-32k)
- rebuild against gettext 0.10.40.

* Tue Oct 16 2001 Toru Hoshina <t@kondara.org>
- (0.16.5-30k)
- rebuild against libpng 1.2.0.

* Mon Jul 30 2001 Motonobu Ichimura <famao@kondara.org>
- (0.16.5-28k)
- added galeon to Internet menu.

* Thu Jun  7 2001 Motonobu Ichimura <famao@kondara.org>
- (0.16.5-26k)
- menu update

* Thu Jun  7 2001 Motonobu Ichimura <famao@kondara.org>
- (0.16.5-24k)
- change font dir

* Wed Jun  6 2001 Motonobu Ichimura <famao@kondara.org>
- (0.16.5-22k)
- bug-fixed
- using truetype-ja for default

* Sun Jun  3 2001 Motonobu Ichimura <famao@kondara.org>
- (0.16.5-20k)
- bug-fixed and other stuff

* Sat Jun  2 2001 Motonobu Ichimura <famao@kondara.org>
- (0.16.5-18k)
  added enlightenment-ft.patch (it enables us to AA :-))

* Tue May 29 2001 Tsutomu Yasuda <tom@digitalfactory.co.jp>
- (0.16.5-14k)
  Change default theme

* Thu May 10 2001 Motonobu Ichimura <famao@kondara.org>
- (0.16.5-12k)
- modify menu
- added bugfix.
- modify ja.po

* Wed May 02 2001 Motonobu Ichimura <famao@kondara.org>
- (0.16.5-11k)
- re-write utf8 patch for new xinitrc packege

* Fri Mar 30 2001 Toru Hoshina <toru@df-usa.com>
- (0.16.5-9k)
- rebuild against audiofile-0.2.1.

* Sun Dec 24 2000 Kenichi Matsubara <m@kondara.org>
- (0.16.5-7k)
- rebuild against audiofile-0.2.0.

* Thu Nov 16 2000 Motonobu Ichimura <famao@kondara.org>
- remove alpha-gcc296 patch.

* Tue Nov 07 2000 Motonobu Ichimura <famao@kondara.org>
- up to 0.16.5
- blush-up spec file
- now patically support UTF-8 locale

* Mon Oct 23 2000 MATSUDA, Daiki <dyky@df-usa.com>
- (0.16.4-9k)
- fixed for FHS

* Sat Aug 26 2000 Motonobu Ichimura <famao@kondara.org>
- Change PATH (FHS)

* Mon Jul 31 2000 Toru Hoshina <t@kondara.org>
- add e-alpha-gcc296.patch.

* Wed Jul 10 2000 Shingo Akagaki <dora@kondara.org>
- rebuild against libpng-1.0.7

* Wed Jul 05 2000 Toru Hoshina <t@kondara.org>
- rebuild against glibc-2.1.90, X-4.0, rpm-3.0.5.

* Sun Jan 09 2000 Motonobu Ichimura <famao@kondara.org>
- 0.16.4

* Fri Nov 26 1999 Shingo Akagaki <dora@kondara.org>
- add /etc/X11/xinit/session.d/enlightenment script

* Sun Oct 30 1999 Motonobu Ichimura <famao@kondara.org>
- up to 0.16.1
- add some patches

* Tue Oct 12 1999 Motonobu Ichimura <famao@kondara.org>
- first release
